%global extid   %{extname_full}@marcinjakubowski.github.com
%global extname_full notification-position-reloaded
%global commit  720f7e2ec630a23c6a3328a69a8c2e1091575213
%global commit_short 720f7e2e
%global commit_date 20241003

Name:           gnome-shell-extension-%{extname_full}
Version:        10
Release:        1.%{?date}git%{?commit_short}%{?dist}
Summary:        Gnome Shell extension allowing customization of notification banner

License:        GPLv2+
URL:            https://github.com/marcinjakubowski/notification-position-reloaded
Source0:        %{extname_full}-720f7e2ec630a23c6a3328a69a8c2e1091575213.tar.xz
BuildArch:      noarch

Requires:       gnome-shell
Provides:		gnome-shell-extension-notification-banner-reloaded = %{version}-%{release}
Obsoletes:		gnome-shell-extension-notification-banner-reloaded < %{version}-%{release}

%description
Gnome Shell extension allowing customization of notification banner position
and animation properties

%prep
%autosetup -n %{extname_full}


%build


%install
install -d %{buildroot}%{_datadir}/gnome-shell/extensions/%{extid}
cp -r . %{buildroot}%{_datadir}/gnome-shell/extensions/%{extid}


%files
%license LICENSE
%doc README.md
%{_datadir}/gnome-shell/extensions/%{extid}/


%changelog
* Mon Dec 23 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 10-1.git720f7e2e
- Rebuilt for MSVSphere 10

* Mon Dec 23 2024 Arkady L. Shane <tigro@msvsphere.ru-os.ru> - 10-1.git720f7e2e
- Rename to notification-position-reloaded
- Update to last version

* Fri Sep 08 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.0.0-1.git52923844
- Rebuilt for MSVSphere 9.2

* Fri Sep  8 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.0.0-1.20230424git52923844
- Initial build for MSVSphere 9.2
